---
title: border-style
slug: Web/CSS/border-style
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-shorthand-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>border-style</code></strong> <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand</a> <a href="/en/CSS" title="CSS">CSS</a> property sets the line style for all four sides of an element's border.</span></p>

<div>{{EmbedInteractiveExample("pages/css/border-style.html")}}</div>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
	<li><a href="/en-US/docs/Web/CSS/border-bottom-style"><code>border-bottom-style</code></a></li>
	<li><a href="/en-US/docs/Web/CSS/border-left-style"><code>border-left-style</code></a></li>
	<li><a href="/en-US/docs/Web/CSS/border-right-style"><code>border-right-style</code></a></li>
	<li><a href="/en-US/docs/Web/CSS/border-top-style"><code>border-top-style</code></a></li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
border-style: none;
border-style: hidden;
border-style: dotted;
border-style: dashed;
border-style: solid;
border-style: double;
border-style: groove;
border-style: ridge;
border-style: inset;
border-style: outset;

/* top and bottom | left and right */
border-style: dotted solid;

/* top | left and right | bottom */
border-style: hidden double dashed;

/* top | right | bottom | left */
border-style: none solid dotted dashed;

/* Global values */
border-style: inherit;
border-style: initial;
border-style: unset;
</pre>

<p>The <code>border-style</code> property may be specified using one, two, three, or four values.</p>

<ul>
	<li>When <strong>one</strong> value is specified, it applies the same style to <strong>all four sides</strong>.</li>
	<li>When <strong>two</strong> values are specified, the first style applies to the <strong>top and bottom</strong>, the second to the <strong>left and right</strong>.</li>
	<li>When <strong>three</strong> values are specified, the first style applies to the <strong>top</strong>, the second to the <strong>left and right</strong>, the third to the <strong>bottom</strong>.</li>
	<li>When <strong>four</strong> values are specified, the styles apply to the <strong>top</strong>, <strong>right</strong>, <strong>bottom</strong>, and <strong>left</strong> in that order (clockwise).</li>
</ul>

<p>Each value is a keyword chosen from the list below.</p>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>&lt;line-style&gt;</code></dt>
	<dd>Describes the style of the border. It can have the following values:
	<table class="standard-table">
		<tbody>
			<tr>
				<td style="vertical-align: middle;"><code>none</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-style: none; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Like the <code>hidden</code> keyword, displays no border. Unless a {{cssxref("background-image")}} is set, the computed value of the same side's {{cssxref("border-width")}} will be <code>0</code>, even if the specified value is something else. In the case of table cell and border collapsing, the <code>none</code> value has the <em>lowest</em> priority: if any other conflicting border is set, it will be displayed.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>hidden</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: hidden; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Like the <code>none</code> keyword, displays no border. Unless a {{cssxref("background-image")}} is set, the computed value of the same side's {{cssxref("border-width")}} will be <code>0</code>, even if the specified value is something else. In the case of table cell and border collapsing, the <code>hidden</code> value has the <em>highest</em> priority: if any other conflicting border is set, it won't be displayed.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>dotted</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: dotted; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Displays a series of rounded dots. The spacing of the dots is not defined by the specification and is implementation-specific. The radius of the dots is half the computed value of the same side's {{cssxref("border-width")}}.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>dashed</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: dashed; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Displays a series of short square-ended dashes or line segments. The exact size and length of the segments are not defined by the specification and are implementation-specific.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>solid</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: solid; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Displays a single, straight, solid line.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>double</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: double; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Displays two straight lines that add up to the pixel size defined by {{cssxref("border-width")}}.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>groove</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: groove; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Displays a border with a carved appearance. It is the opposite of <code>ridge</code>.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>ridge</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: ridge; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Displays a border with an extruded appearance. It is the opposite of <code>groove</code>.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>inset</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: inset; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">Displays a border that makes the element appear embedded. It is the opposite of <code>outset</code>. When applied to a table cell with {{cssxref("border-collapse")}} set to <code>collapsed</code>, this value behaves like <code>groove</code>.</td>
			</tr>
			<tr>
				<td style="vertical-align: middle;"><code>outset</code></td>
				<td style="vertical-align: middle;">
				<div style="margin: 0.5em; width: 3em; height: 3em; border-width: 3px; border-style: outset; background-color: palegreen;"></div>
				</td>
				<td style="vertical-align: middle;">
				<p>Displays a border that makes the element appear embossed. It is the opposite of <code>inset</code>. When applied to a table cell with {{cssxref("border-collapse")}} set to <code>collapsed</code>, this value behaves like <code>ridge</code>.</p>
				</td>
			</tr>
		</tbody>
	</table>
	</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Table_with_all_property_values">Table with all property values</h3>

<p>Here is an example of all the property values.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;table&gt;
  &lt;tr&gt;
    &lt;td class="b1"&gt;none&lt;/td&gt;
    &lt;td class="b2"&gt;hidden&lt;/td&gt;
    &lt;td class="b3"&gt;dotted&lt;/td&gt;
    &lt;td class="b4"&gt;dashed&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td class="b5"&gt;solid&lt;/td&gt;
    &lt;td class="b6"&gt;double&lt;/td&gt;
    &lt;td class="b7"&gt;groove&lt;/td&gt;
    &lt;td class="b8"&gt;ridge&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td class="b9"&gt;inset&lt;/td&gt;
    &lt;td class="b10"&gt;outset&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">/* Define look of the table */
table {
  border-width: 3px;
  background-color: #52E396;
}
tr, td {
  padding: 2px;
}

/* border-style example classes */
.b1 {border-style:none;}
.b2 {border-style:hidden;}
.b3 {border-style:dotted;}
.b4 {border-style:dashed;}
.b5 {border-style:solid;}
.b6 {border-style:double;}
.b7 {border-style:groove;}
.b8 {border-style:ridge;}
.b9 {border-style:inset;}
.b10 {border-style:outset;}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Table_with_all_property_values', 300, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Backgrounds', '#border-style', 'border-style')}}</td>
			<td>{{Spec2('CSS3 Backgrounds')}}</td>
			<td>No change.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS2.1', 'box.html#propdef-border-style', 'border-style')}}</td>
			<td>{{Spec2('CSS2.1')}}</td>
			<td>Adds <code>hidden</code> keyword value.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS1', '#border-style', 'border-style')}}</td>
			<td>{{Spec2('CSS1')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The border-related shorthand CSS properties: {{Cssxref("border")}}, {{Cssxref("border-width")}}, {{Cssxref("border-color")}}, {{Cssxref("border-radius")}}</li>
</ul>
